#region << 版 本 注 释 >>

/*--------------------------------------------------------------------
* 版权所有 (c) 2025 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：Mr.Wen's MacBook Pro
* 命名空间：Sln.Iot.Model.dto
* 唯一标识：CA8D9816-589C-4E15-96FD-CA864799054D
*
* 创建者：WenJY
* 电子邮箱：
* 创建时间：2025-04-11 15:10:04
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/

#endregion << 版 本 注 释 >>

namespace Sln.Iot.Model.dto
{
    public struct CommParams
    {
        /// <summary>
        /// 温度
        /// </summary>
        public const uint TTempreture = 0x8E50;
        
        /// <summary>
        /// 湿度
        /// </summary>
        public const uint Humidity = 0x8E52;
        
        
        /// <summary>
        /// 噪音
        /// </summary>
        public const uint Noise = 0x8E53;
        
        /// <summary>
        /// 振动-速度
        /// </summary>
        public const uint VibrationSpeed = 0x8E55;
        
        /// <summary>
        /// 振动-位移
        /// </summary>
        public const uint VibrationDisplacement = 0x8E56;
        
        /// <summary>
        /// 振动-加速度
        /// </summary>
        public const uint VibrationAcceleration = 0x8E57;
        
        /// <summary>
        /// 振动-温度
        /// </summary>
        public const uint VibrationTemp = 0x8E54;

        
        /// <summary>
        /// 采集时间
        /// </summary>
        public const uint CJSJ = 0x8030;

        #region 电能数据结构体
        
        public const uint AI = 0x8E21;
        public const uint BI = 0x8E22;
        public const uint CI = 0x8E23;
        public const uint AU = 0x8E11;
        public const uint BU = 0x8E12;
        public const uint CU = 0x8E13;
        public const uint GLYS = 0xB650;
        public const uint ZXYGZ = 0x9010;
        public const uint ZXWG = 0x9030;
        public const uint YGGL = 0xB651;    
        public const uint WGGL = 0xB652;    

        #endregion

        #region 流体数据结构体

        public const uint Press = 0x9B00;
        public const uint STemperature = 0x9B01;
        public const uint Frequency = 0x9B02;
        public const uint FluxInstantValue = 0x9B03;
        public const uint FluxEyeableTotalValue = 0x9B05;
        public const uint HeatInstantValue = 0x9B06;
        public const uint HeatToftalValue = 0x9B07;
        public const uint Density = 0x9B0E;

        #endregion
    }
}