#region << 版 本 注 释 >>

/*--------------------------------------------------------------------
* 版权所有 (c) 2025 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：Mr.Wen's MacBook Pro
* 命名空间：Sln.Iot.Repository
* 唯一标识：130152CF-25A2-4CF6-BF55-FF62811E139D
*
* 创建者：WenJY
* 电子邮箱：
* 创建时间：2025-04-11 13:24:59
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/

#endregion << 版 本 注 释 >>

using SqlSugar;

namespace Sln.Iot.Repository
{
    public class Repository<T> : SimpleClient<T> where T : class, new()
    {
        public ITenant itenant = null;//多租户事务、GetConnection、IsAnyConnection等功能

        public Repository(ISqlSugarClient db)
        {
            itenant = db.AsTenant();//用来处理事务
            base.Context = db.AsTenant().GetConnectionScopeWithAttr<T>();//获取子Db

            //如果不想通过注入多个仓储
            //用到ChangeRepository或者Db.GetMyRepository需要看标题4写法
        }

    }
}