﻿using Sln.Iot.Model.dao;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sln.Iot.Model.dto
{
    public class MonitorAlarmDto
    {
        /// <summary>
        /// 设备编号
        /// </summary>
        public string monitorId { get;set; }

        /// <summary>
        /// 是否报警：1-是;0-否
        /// </summary>
        public int isFlag { get;set; }
        
        /// <summary>
        /// 设备参数
        /// </summary>
        public RecordIotEnvInstant deviceParam { get;set; }

        /// <summary>
        /// 告警规则
        /// </summary>
        public List<BaseAlarmRule> alarmRules { get;set; }

        /// <summary>
        /// 报警内容
        /// </summary>
        public List<string> alarmContents { get;set; }

        /// <summary>
        /// 记录时间
        /// </summary>
        public long recordTime { get;set; }
    }
}
